=== debian/changelog ===
basix (0.0.1~git20210122.4f10ef2-2) unstable; urgency=medium

  * document the need to split libbasix.so out of the python module
    into libbasix-dev and libbasix0 in README.Debian
  * debian patch test_permutation_nedelec_32bit_xfail.patch marks
    test_permutation_of_tabulated_data_tetrahedron on 32-bit systems
    with the "Nedelec 2nd kind H(curl)" [order 5] element as expected
    to fail. Treat this element as unsupported on 32-bit systems.
    Issue tracked at Bug#981901.
  * mark libbasix-dev, libbasix0 as Multi-Arch: same,
    basix-doc as Multi-Arch: foreign

 -- Drew Parsons <dparsons@debian.org>  Thu, 04 Feb 2021 22:41:26 +0100

basix (0.0.1~git20210122.4f10ef2-1) unstable; urgency=medium

  * Initial release (Closes: #981046)
  * Provide header file and libbasix.so* in libbasix-dev and libbasix0
    separated from python installation. Otherwise dh_python3 tags
    libbasix.so with a cython tag which will confuse ld.
  * add debian patches:
    - cmake_shared_library.patch
      adds SOVERSION to shared library and installs in
      ${CMAKE_INSTALL_LIBDIR} (i.e. arch-specific in usr/lib/<arch>)
    - include_path.patch
      configures basix python module's get_include_path() to
      "/usr/include", where basix.h has been installed.
  * exclude test_include from build-time tests
    (since /usr/include/basix.h not yet installed)

 -- Drew Parsons <dparsons@debian.org>  Tue, 26 Jan 2021 16:19:16 +0100
