=== debian/tests/control ===
Test-Command: pytest-3
Depends: python3-basix,
 python3-pytest,
 python3-fiat,
 python3-numpy,
 python3-sympy
