=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%basix-$1.tar.gz%" \
   https://github.com/FEniCS/basix/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
